Bug 9276 - 6.2beta NFS install broken
6.2beta NFS install broken
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-02-09 15:04 EST by bentlema
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-22 12:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bentlema 2000-02-09 15:04:29 EST
In testing out the 6.2beta bootnet disk I've discovered that it can't mount
NFS exported filesystems from SunOS 5.5.1 and 5.6 systems.  It can mount
NFS filesystems from other Linux systems.  So NFS installs are broken
unless you're installing off of another Linux box...which we are not.
Comment 1 Bob Dowling 2000-02-16 09:07:59 EST
I can confirm this on Solairs [2.]7 too.

The bug appears to be in the v3 NFS/MOUNT handling.
I killed off the v3 NFS and MOUNT services on the Solaris box
(rpcinfo -d 100003 3; rpcinfo -d 100005 3)
and then tried the install again.  It worked fine.
You do need to kill off both though.  NFS alone isn't enough.
(This may be due to a bug at Sun's end, though.)

I also note that the _installed_ version of RHL6.2b has no problems
mounting from an NFS v3 server; it's just the boot floppy version.
Comment 2 Michael J. Carter 2000-02-16 17:45:59 EST
I can confirm this on NetApp OnTap 5.X as well.
Comment 3 Martin Lichtin 2000-03-23 23:38:59 EST
It can't mount from a Linux RH6.0 NFS (knfsd-1.2.2-4) server either.
The same NFS mount works fine when doing a RH6.1 installation.
However, the 6.2beta installer _can_ mount from a knfsd-1.4.7-7 based
Comment 4 Michael Fulbright 2000-06-12 14:15:53 EDT
Are these issues still present in the final 6.2 release?
Comment 5 Michael Fulbright 2000-06-22 12:39:49 EDT
Closed due to inactivity - please reopen if the final 6.2 product exhibits these

Note You need to log in before you can comment on or make changes to this bug.